POST
/v1/auth/enchantedlink/update/phone/smsAuthorization
Descope Project ID:Refresh JWT AuthorizationBearer <token>
Project ID:Refresh JWT as bearer token.
In: header
Request Body
application/json
loginId*string
Length
1 <= lengthphone*string
Length
1 <= lengthredirectUrl?string
addToLoginIDs?boolean
Default
falseonMergeUseExisting?boolean
Default
falseproviderId?string
Length
length <= 254templateOptions?object
locale?string
Length
length <= 254failOnConflict?boolean
Use to update phone and validate via enchanted link using SMS
curl -X POST "https://api.descope.com/v1/auth/enchantedlink/update/phone/sms" \ -H "Content-Type: application/json" \ -d '{ "loginId": "string", "phone": "string" }'{ "pendingRef": "string", "linkId": "string", "maskedPhone": "string"}export interface Response {pendingRef?: stringlinkId?: stringmaskedPhone?: string} Was this helpful?